<template>
  <CheckAutoHome
    :service-price="servicePrice"
    :payment-system="paymentSystem"/>
</template>

<script>
import CheckAutoHome from '~/components/redesign/check-auto/home';

import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/check-auto/index';

export default {
  name: 'CheckAutoIndexPage',
  components: {
    CheckAutoHome,
  },
  mixins: [SeoMixin, SeoPageMixin],
  asyncData({ app, error }) {
    return app.$axios.$get('/_main/checkauto/info')
      .then(({ data }) => ({
        servicePrice: data.servicePrice,
        paymentSystem: data.paymentSystem,
      }))
      .catch((e) => {
        console.error(e);
        error({
          statusCode: 500,
        });
        return {
          servicePrice: null,
          paymentSystem: null,
        };
      });
  },
};
</script>
